*--------------------------------
.SUBCKT TRSDAPPCFB 1 2 3 4 5 6 7 8 PARAMS:
+Lprim = 33 ; inductance totale du primaire entre plaques en henrys
+Zpp=1000 ; impédance primaire entre plaques
+Zhp=8 ; impédance HP
+Kp = 0.10 ; rapport des prises sur l'enroulement primaire par rapport au pt central (0<Kp<1)
* attention pour les utiliser il faut modifier le symbole et rajouter les pin 6,7 et 8 ainsi
* qu'un label K1 et K2 et rajouter ci-dessus les pin 6,7 et 8 dans la ligne SUBCKT ....
+Rprim=15 ; résistance totale du primaire entre plaques
+Rsec=.26 ; résistance du secondaire
+Lfp=1.0m ; inductance de fuite ramenée au primaire en Henry
+Ca1=100p ; capacité parasite enroulement d'anode1
+Ca2=100p ; capacité parasite enroulement d'anode2
+Ck1=320p ; capacité parasite enroulement de cathode1
+Ck2=320p ; capacité parasite enroulement de cathode2

LP1 9 5 {Lprim/4+Lprim*Kp*Kp/4-Lprim*Kp/2}
LP2 11 8 {Lprim*Kp*Kp/4}
LP3 8 12 {Lprim*Kp*Kp/4}
LP4 5 10 {Lprim/4+Lprim*Kp*Kp/4-Lprim*Kp/2}
LP5 13 4 {LPRIM*Zhp/Zpp}
RP1 1 9 {(Rprim/2)*(1-Kp)}
RP2 2 10 {(Rprim/2)*(1-Kp)}
RK1 6 11 {(Rprim/2)*Kp}
RK2 7 12 {(Rprim/2)*Kp}
RS 3 13 {Rsec}
KALL LP1 LP2 LP3 LP4 LP5 {SQRT(1-Lfp/Lprim)} ; {coeff de couplage}
c1 1 9 {Ca1}
c2 2 10 {Ca2}
c3 6 11 {Ck1}
C4 7 12 {Ck2}
.ENDS

