*--------------------------------
.SUBCKT TRSSESRPP100ohm 1 2 3 4 5 PARAMS:
+Lprim = 7.5 ; inductance totale du primaire en henrys
+Zpp=100 ; impédance primaire 
+Zhp=8 ; impédance HP
+Kc = 0.10 ; rapport en % du nombre de spire pour l'enroulement de cathode (0<Kc<1) généralement 10%
+Rprim=3.8 ; résistance totale du primaire y compris l'enroulement cathode
+Rsec=.32 ; résistance du secondaire
+Lfp=0.1m ; inductance de fuite ramenée au primaire en Henry
+Ck1=191p ; capacité parasite enroulement d'anode
+Ck2=530p ; capacité parasite enroulement de cathode

LP1 6 2 {Lprim/2+Lprim*Kc*Kc/2-Lprim*Kc}
LP2 7 3 {Lprim*Kc*Kc/2}
LP3 8 5 {LPRIM*Zhp/Zpp}
RP1 1 6 {Rprim*(1-Kc)}
RP2 2 7 {Rprim*Kc}
RS 4 8 {Rsec}
KALL LP1 LP2 LP3 {SQRT(1-Lfp/Lprim)} ; {coeff de couplage}
c1 1 6 {Ck1}
c2 2 7 {Ck2}
.ENDS

